---
layout: blog
week: 103
published: 2017-04-19 21:04:46
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday April 9 and
Saturday April 15 2017:

Upcoming events
---------------

On April 26th Chris Lamb will give a talk at [foss-north 
2017](http://foss-north.se/) in Gothenburg, Sweden on Reproducible Builds.


Media coverage
--------------

Jake Edge wrote [a
summary](https://lwn.net/SubscriberLink/719823/c51cffac0f3f6509/) of Vagrant
Cascadian's talk on Reproducible Builds at LibrePlanet.


Toolchain development and fixes
-------------------------------

Ximin Luo [forwarded patches to
GCC](https://gcc.gnu.org/ml/gcc-patches/2017-04/msg00513.html) for
`BUILD_PATH_PREFIX_MAP` support.

With this patch to backported to GCC-6, as well as a patched dpkg to set the
environment variable, he scheduled ~3,300 packages that are unreproducible in
unstable-amd64 but reproducible in testing-amd64 - because we vary the build
path in the former but not latter case. Our infrastructure ran these in just
under 3 days, and we reproduced ~1,700 extra packages.

This is about 6.5% of [~26,100 Debian source
packages](https://tests.reproducible-builds.org/debian/unstable/index_suite_amd64_stats.html),
and about 1/2 of the ones whose unreproducibility is due to build-path issues.
Most of the rest are not related to GCC, such as things built by R, OCaml,
Erlang, LLVM, PDF IDs, etc.

(The dip afterwards, in the graph linked above, is due to reverting back to an
unpatched GCC-6, but we'll be rebasing the patch continually over the next few
weeks so the graph should stay up.)


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#860200](https://bugs.debian.org/860200) filed against [poti](https://tracker.debian.org/pkg/poti), [forwarded upstream](https://github.com/schnorr/poti/pull/7).
* [#860201](https://bugs.debian.org/860201) filed against [sunpinyin](https://tracker.debian.org/pkg/sunpinyin), [forwarded upstream](https://github.com/sunpinyin/sunpinyin/pull/73).
* [#860203](https://bugs.debian.org/860203) filed against [avifile](https://tracker.debian.org/pkg/avifile).
* [#860211](https://bugs.debian.org/860211) filed against [qtractor](https://tracker.debian.org/pkg/qtractor).
* [#860212](https://bugs.debian.org/860212) filed against [samplv1](https://tracker.debian.org/pkg/samplv1).
* [#860213](https://bugs.debian.org/860213) filed against [drumkv1](https://tracker.debian.org/pkg/drumkv1).
* [#860214](https://bugs.debian.org/860214) filed against [synthv1](https://tracker.debian.org/pkg/synthv1).
* [#860218](https://bugs.debian.org/860218) filed against [templayer](https://tracker.debian.org/pkg/templayer).
* [#860266](https://bugs.debian.org/860266) filed against [miniupnpd](https://tracker.debian.org/pkg/miniupnpd), [forwarded upstream](https://github.com/miniupnp/miniupnp/pull/237).
* [#860275](https://bugs.debian.org/860275) filed against [msp430mcu](https://tracker.debian.org/pkg/msp430mcu).
* [#860277](https://bugs.debian.org/860277) filed against [g2clib](https://tracker.debian.org/pkg/g2clib).
* [#860278](https://bugs.debian.org/860278) filed against [openigtlink](https://tracker.debian.org/pkg/openigtlink).
* [#860279](https://bugs.debian.org/860279) filed against [xmlrpc-c](https://tracker.debian.org/pkg/xmlrpc-c).
* [#860372](https://bugs.debian.org/860372) filed against [hp-search-mac](https://tracker.debian.org/pkg/hp-search-mac).
* [#860373](https://bugs.debian.org/860373) filed against [foxeye](https://tracker.debian.org/pkg/foxeye).
* [#860374](https://bugs.debian.org/860374) filed against [python-taskflow](https://tracker.debian.org/pkg/python-taskflow).
* [#860384](https://bugs.debian.org/860384) filed against [polygen](https://tracker.debian.org/pkg/polygen).

Chris West:

* [#860418](https://bugs.debian.org/860418) filed against [sugar-memorize-activity](https://tracker.debian.org/pkg/sugar-memorize-activity). (Patch by Chris Lamb)


Reviews of unreproducible packages
----------------------------------

38 package reviews have been added, 111 have been updated and 85 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

6 issue types have been updated:

Added:

- [nondeterministic_java_bytecode](https://tests.reproducible-builds.org/issues/unstable/nondeterministic_java_bytecode_issue.html)
- [timestamp_in_jboss_messagebundle_generated_code](https://tests.reproducible-builds.org/issues/unstable/timestamp_in_jboss_messagebundle_generated_code_issue.html)

Updated:

- [timestamps_in_documentation_generated_by_javadoc](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_documentation_generated_by_javadoc_issue.html)
- [randomness_in_gcj_output](https://tests.reproducible-builds.org/issues/unstable/randomness_in_gcj_output_issue.html): gcj is deprecated/dead
- [records_build_flags](https://tests.reproducible-builds.org/issues/unstable/records_build_flags_issue.html), [captures_build_path](https://tests.reproducible-builds.org/issues/unstable/captures_build_path_issue.html): we temporarily
  consider these non-deterministic, to better track the issue - the patches are
  still pending and statuses will keep changing as we upload patched packages.

Removed:

- [locale_in_documentation_generated_by_javadoc](https://tests.reproducible-builds.org/issues/unstable/locale_in_documentation_generated_by_javadoc_issue.html): seems to be
  fixed for every non-FTBFS package that it was affected by.


diffoscope development
----------------------

Development continued in git on the [experimental
branch](https://salsa.debian.org/reproducible-builds/diffoscope/commits/experimental):

Chris Lamb:

- Don't crash on invalid archives ([#833697](https://bugs.debian.org/833697))
- Tidy up some other code


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Chris Lamb (3)
 - Chris West (1)


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb & reviewed by a bunch of
Reproducible Builds folks on IRC & the mailing lists.
