---
layout: blog
week: 119
published: 2017-08-14 23:08:01
---

Here's what happened in the [Reproducible
Builds](https://reproducible-builds.org) effort between Sunday July 30 and
Saturday August 5 2017:


Media coverage
--------------

We were mentioned on [Late Night Linux Episode
17](https://latenightlinux.com/late-night-linux-episode-17/), around 29:30.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Upstream packages:

* Bernhard M. Wiedemann:
  * [efl](https://phab.enlightenment.org/rEFL4d2117ef2a5344d298dfa7768d01feab0cf86558)
  (merged), unique ids based on memory address
  * [389-ds](https://lists.fedoraproject.org/archives/list/389-devel@lists.fedoraproject.org/thread/RJYESKP3VAHGM5J5W67APFAQPQA6SUY2/)
  (merged), `SOURCE_DATE_EPOCH` support.
  * [plowshare](https://github.com/mcrapet/plowshare/pull/97), `SOURCE_DATE_EPOCH` support
  * [sphinx](https://github.com/sphinx-doc/sphinx/pull/3972), file ordering
  * [sphinx](https://github.com/sphinx-doc/sphinx/pull/3973), `SOURCE_DATE_EPOCH` support

Debian packages:

* Adrian Bunk:
  * [#870212](https://bugs.debian.org/870212) filed against [glib2.0](https://tracker.debian.org/pkg/glib2.0).
  * [#870213](https://bugs.debian.org/870213) filed against [pajeng](https://tracker.debian.org/pkg/pajeng).
  * [#870733](https://bugs.debian.org/870733) filed against [openhpi](https://tracker.debian.org/pkg/openhpi).
  * [#870738](https://bugs.debian.org/870738) filed against [gtk2-engines-xfce](https://tracker.debian.org/pkg/gtk2-engines-xfce).
  * [#870741](https://bugs.debian.org/870741) filed against [libgda5](https://tracker.debian.org/pkg/libgda5).
  * [#870742](https://bugs.debian.org/870742) filed against [libgnome](https://tracker.debian.org/pkg/libgnome).
  * [#870749](https://bugs.debian.org/870749) filed against [glade](https://tracker.debian.org/pkg/glade).
  * [#870821](https://bugs.debian.org/870821) filed against [esys-particle](https://tracker.debian.org/pkg/esys-particle).
* Chris Lamb:
  * [#870131](https://bugs.debian.org/870131) filed against [autopep8](https://tracker.debian.org/pkg/autopep8).
  * [#870221](https://bugs.debian.org/870221) filed against [dpkg](https://tracker.debian.org/pkg/dpkg).
  * [#870573](https://bugs.debian.org/870573) filed against [grap](https://tracker.debian.org/pkg/grap).
* Johannes Schauer:
  * [#870585](https://bugs.debian.org/870585) filed against [hevea](https://tracker.debian.org/pkg/hevea).
* Logan Rosen:
  * [#870586](https://bugs.debian.org/870586) filed against [behave](https://tracker.debian.org/pkg/behave).
* Lucas Nussbaum:
  * [#871059](https://bugs.debian.org/871059) filed against [fltk1.3](https://tracker.debian.org/pkg/fltk1.3).
  * [#871155](https://bugs.debian.org/871155) filed against [brltty](https://tracker.debian.org/pkg/brltty).
  * [#871159](https://bugs.debian.org/871159) filed against [texlive-extra](https://tracker.debian.org/pkg/texlive-extra).
* jathan:
  * [#870890](https://bugs.debian.org/870890) filed against [apg](https://tracker.debian.org/pkg/apg).


Reviews of unreproducible packages
----------------------------------

29 package reviews have been added, 72 have been updated and 151 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

4 issue types have been updated:

- Added [timestamps_generated_by_hevea](https://tests.reproducible-builds.org/issues/unstable/timestamps_generated_by_hevea_issue.html).
- Added [timestamps_in_source_generated_by_rcc](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_source_generated_by_rcc_issue.html).
- Updated [build_id_differences_only](https://tests.reproducible-builds.org/issues/unstable/build_id_differences_only_issue.html): remove an obsolete example.
- Updated [golang_compiler_captures_build_path_in_binary](https://tests.reproducible-builds.org/issues/unstable/golang_compiler_captures_build_path_in_binary_issue.html): mark as
  not deterministic, because the patch fixing it is not yet upstreamed.


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (36)
 - Andreas Beckmann (2)
 - Daniel Schepler (2)
 - Logan Rosen (1)
 - Lucas Nussbaum (93)


diffoscope development
----------------------

Version 85 was uploaded to unstable by Mattia Rizzolo. It included [contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/85) from:

- Mattia Rizzolo:
  - Add an explicit Recommends: on the defusedxml python package.
  - Various other code quality tweaks.
- Juliana Oliveira Rodrigues:
  - Fix test_ico_image for ImageMagick `identify` >= 6.9.8.
  - Use the defusedxml XML library by default in the XML comparator, if it's
    available. This protects against various XML parser DoS attacks and other
    security holes, which other Python XML libraries are vulnerable to.
- Ximin Luo:
  - Force a flush when writing output to diff. (Closes: [#870049](https://bugs.debian.org/870049)).

as well as previous weeks' contributions, summarised in the
[changelog](http://metadata.ftp-master.debian.org/changelogs/main/d/diffoscope/diffoscope_85_changelog).

There were also further commits in git, which will be released in a later
version:

- Guangyuan Yang:
  - tests/iso9660: support `isoinfo`'s output coming from cdrtools' version
    instead of genisoimage's
- Mattia Rizzolo:
  - Code quality and test fixes.
- Chris Lamb:
  - Code quality and test fixes.


Misc.
-----

This week's edition was written by Ximin Luo, Bernhard M. Wiedemann and Chris
Lamb & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing
lists.
