---
layout: blog
week: 122
published: 2017-08-29 15:08:27
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday August 20 and Saturday August 26 2017:

Debian development
------------------

* "Packages should build reproducibly" was released in Debian Policy 4.1.0.0.
  For more background please see [last week's post](https://reproducible.alioth.debian.org/blog/posts/119).
* A patch by Chris Lamb to make `Dpkg::Substvars` warnings output deterministic was merged by Guillem Jover. This helps the Reproducible Builds effort as it removes unnecessary differences in logs of two package builds. ([#870221](https://bugs.debian.org/870221))

Packages reviewed and fixed, and bugs filed
-------------------------------------------

Forwarded upstream:

* Debian bug [#872728](https://bugs.debian.org/872728) filed against [desktop-file-utils](https://tracker.debian.org/pkg/desktop-file-utils). [Filed upstream](https://bugs.freedesktop.org/show_bug.cgi?id=102320). (lamby, via a [reproducibility issue in Tails](https://labs.riseup.net/code/issues/13439)).
* Debian bug [#872729](https://bugs.debian.org/872729) filed against [gtk+2.0](https://tracker.debian.org/pkg/gtk+2.0). [Filed upstream](https://bugzilla.gnome.org/show_bug.cgi?id=786528). (lamby, via a [reproducibility issue in Tails](https://labs.riseup.net/code/issues/13440)).
* [sawfish](https://github.com/SawfishWM/sawfish):
  * [SOURCE\_DATE\_EPOCH](https://github.com/SawfishWM/sawfish/pull/29)
  * [.tar.gz](https://github.com/SawfishWM/sawfish/pull/30) (merged)
  * [Sorting](https://github.com/SawfishWM/sawfish/pull/32) (merged)
* [librep](https://github.com/SawfishWM/librep):
  * [SOURCE\_DATE\_EPOCH](https://github.com/SawfishWM/librep/pull/11) (merged)
  * [Sorting](https://github.com/SawfishWM/librep/pull/12) (merged)
* [zstd](https://github.com/facebook/zstd/pull/818) (merged) sort
* [lirc](https://sourceforge.net/p/lirc/tickets/301/) (solved)
* [autogen](https://sourceforge.net/p/autogen/bugs/182/) (tar.gz)


Accepted repoducibility NMUs in Debian:

* Chris Lamb:
  * [jsmath-fonts](https://tracker.debian.org/pkg/jsmath-fonts) (for bug [#792319](https://bugs.debian.org/792319)).
  * [xvier](https://tracker.debian.org/pkg/xvier) (for bug [#777330](https://bugs.debian.org/777330)).

* Mattia Rizzolo:
  * [aewan](https://tracker.debian.org/pkg/aewan) (for bug [#842864](https://bugs.debian.org/842864)).


Other issues:

* Adrian Bunk:
  * [#872675](https://bugs.debian.org/872675) filed against [pdp](https://tracker.debian.org/pkg/pdp).
  * [#872678](https://bugs.debian.org/872678) filed against [gem](https://tracker.debian.org/pkg/gem).
  * [#872860](https://bugs.debian.org/872860) filed against [csound](https://tracker.debian.org/pkg/csound).
  * [#872918](https://bugs.debian.org/872918) filed against [sketch](https://tracker.debian.org/pkg/sketch).

* Dmitry Shachnev:
  * [#872992](https://bugs.debian.org/872992) filed against [pytest-qt](https://tracker.debian.org/pkg/pytest-qt).


Reviews of unreproducible packages
----------------------------------

16 package reviews have been added, 38 have been updated and 48 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

2 issue types have been updated:

- [Add new captures\_build\_dir\_in\_qmake\_prl\_files toolchain issue](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/788068a4) (Chris Lamb)
- [Remove ftbfs\_uninvestigated\_big\_packages](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c3424068) (Mattia Rizzolo)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (37)
 - Dmitry Shachnev (1)
 - James Cowgill (1)

diffoscope development
----------------------

- Chris Lamb:
  - [Tidy diffoscope.progress a little.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/355ea40)

- Santiago Torres-Arias:
  - [diffoscope.progress: Support the new fork of python-progressbar.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8e17615) ([#873157](https://bugs.debian.org/873157))


disorderfs development
----------------------

Version 0.5.2-1 was uploaded to unstable by Ximin Luo. It included [contributions](https://salsa.debian.org/reproducible-builds/disorderfs/commits/debian/0.5.2-1) from:

- Ximin Luo:
  - [Add -q,--quiet CLI option](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=b60c37d)
  - [Update to latest Standards-Version; no changes required](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=f41eced)
  - [Update debian/changelog](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=25abd62)
  - [Update NEWS](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=e98f7f6)
  - [Adopt as team maintenance](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=6d601bc)
  - [Add my signing key only](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=a6f2036)
  - [Add instructions for Debian release](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=9b8a899)

- Holger Levsen:
  - [Add myself to uploaders](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=617fd25)
  - [Move package to 'optional' section](https://salsa.debian.org/reproducible-builds/disorderfs.git/commit/?id=bed125e)

reprotest development
---------------------

- Ximin Luo:
  - [Don't vary user\_group in the tests - it's not usually possible in automated builders](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=977181f)
  - [Default verbosity to 0 and silence disorderfs if set](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=18cfbdb)
  - [Add the ability to vary the user.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=15d986f) ([#872412](https://bugs.debian.org/872412))
  - [Add TODO](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=1a32c2f)


Misc.
-----

This week's edition was written — in alphabetical order — by Bernhard M. Wiedemann, Chris Lamb, Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
