---
layout: blog
week: 123
published: 2017-09-07 09:09:55
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday August 27 and Saturday September 2 2017:


Talks and presentations
-----------------------

Holger Levsen talked about [our progress and our still-far
goals](https://bornhack.dk/bornhack-2017/program/reproducible-builds/) at
[BornHack 2017](https://bornhack.dk/) ([Video](https://www.youtube.com/watch?v=CE7091U-u2I)).


Toolchain development and fixes
-------------------------------

The Debian FTP archive will now
[reject](https://lists.debian.org/debian-devel/2017/08/msg00614.html)
changelogs where different entries have the same timestamps.

[UDD](https://wiki.debian.org/UltimateDebianDatabase/) [now
uses](https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=874250)
reproducible-tracker.json
(~[25MB](https://tests.reproducible-builds.org/debian/reproducible-tracker.json))
which ignores our tests for Debian unstable, instead of our full set of results
in reproducible.json. Our tests for Debian unstable uses a stricter definition
of "reproducible" than what was recently added to Debian policy, and these
stricter tests are currently more unreliable.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Patches sent upstream:

* Bernhard M. Wiedemann:
  * File ordering:
    * [klee-uclibc](https://github.com/klee/klee-uclibc/pull/13): sort
    * [libdnet](https://github.com/dugsong/libdnet/pull/42): sort
    * [libinvm-cim](https://github.com/01org/libinvm-cim/pull/3): sort
    * [libinvm-cli](https://github.com/01org/libinvm-cli/pull/4): sort
  * Embedded build-date timestamps:
    * [robinhood](https://github.com/cea-hpc/robinhood/pull/83): `SOURCE_DATE_EPOCH` support
    * [ceph/rocksdb](https://github.com/ceph/rocksdb/pull/25): `SOURCE_DATE_EPOCH` support
    * [hylafax](http://bugs.hylafax.org/show_bug.cgi?id=973): use changelog modtime
    * [gnucash](https://github.com/Gnucash/gnucash/pull/180): use changelog modtime
  * [Warzone2100](https://github.com/Warzone2100/warzone2100/pull/98), merged: omit timestamps, sort file lists
* Chris Lamb:
  * [glib2.0](https://bugzilla.gnome.org/show_bug.cgi?id=786983): sort file lists
  * (old) [xorg](https://lists.x.org/archives/xorg-devel/2017-September/054517.html), merged: `SOURCE_DATE_EPOCH` support

Debian bugs filed:

* Adrian Bunk:
  * [#873608](https://bugs.debian.org/873608) filed against [uhd](https://tracker.debian.org/pkg/uhd).
  * [#874186](https://bugs.debian.org/874186) filed against [svgpp](https://tracker.debian.org/pkg/svgpp).
* Chris Lamb:
  * [#873625](https://bugs.debian.org/873625) filed against [glib2.0](https://tracker.debian.org/pkg/glib2.0), filed [upstream](https://bugzilla.gnome.org/show_bug.cgi?id=786983).
  * [#874102](https://bugs.debian.org/874102) filed against [texlive-bin](https://tracker.debian.org/pkg/texlive-bin).

Debian packages NMU-uploaded:

* Chris Lamb:
  * [bittornado](https://tracker.debian.org/pkg/bittornado)/0.3.18-10.3 from [#796212](https://bugs.debian.org/796212)
  * [cgilib](https://tracker.debian.org/pkg/cgilib)/0.6-1.1 from [#776935](https://bugs.debian.org/776935)
  * [dict-gazetteer2k](https://tracker.debian.org/pkg/dict-gazetteer2k)/1.0.0-5.4 from [#776376](https://bugs.debian.org/776376)
  * [dict-moby-thesaurus](https://tracker.debian.org/pkg/dict-moby-thesaurus)/1.0-6.4 from [#776375](https://bugs.debian.org/776375)
  * [dtaus](https://tracker.debian.org/pkg/dtaus)/0.9-1.1 from [#777321](https://bugs.debian.org/777321)
  * [wily](https://tracker.debian.org/pkg/wily)/0.13.41-7.3 from [#777360](https://bugs.debian.org/777360)


Reviews of unreproducible packages
----------------------------------

25 package reviews have been added, 50 have been updated and 86 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (46)
 - Martín Ferrari (1)
 - Steve Langasek (1)


diffoscope development
----------------------

Version 86 was [uploaded to
unstable](http://metadata.ftp-master.debian.org/changelogs/main/d/diffoscope/diffoscope_86_changelog)
by Mattia Rizzolo. It included previous weeks'
[contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/86)
from:

* Mattia Rizzolo
  * tests/binary: skip a test if the 'distro' module is not available.
  * Some code quality and style improvements.
* Guangyuan Yang
  * tests/iso9660: support both cdrtools' genisoimage's versions of isoinfo.
* Chris Lamb
  * comparators/xml: Use ``name`` attribute over ``path`` to avoid leaking
    comparison full path in output.
  * Tidy diffoscope.progress a little.
* Ximin Luo
  * Add a --tool-prefix-binutils CLI flag.  Closes: [#869868](https://bugs.debian.org/869868)
  * On non-GNU systems, prefer some tools that start with "g".  Closes: [#871029](https://bugs.debian.org/871029)
  * presenters/html: Don't traverse children whose parents were already limited.
    Closes: [#871413](https://bugs.debian.org/871413)
* Santiago Torres-Arias
  * diffoscope.progress: Support the new fork of python-progressbar.  Closes: [#873157](https://bugs.debian.org/873157)


reprotest development
---------------------

Development [continued in
git](https://salsa.debian.org/reproducible-builds/reprotest.git/log/) with
contributions from:

- Ximin Luo:
  - Add -v/--verbose which is a bit more popular.
  - Make it possible to omit "auto" when building packages.
  - Refactor how the config file works, in preparation for new features.
  - chown -h for security.


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb, Bernhard M. Wiedemann
and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC &
the mailing lists.
