---
layout: blog
week: 138
published: 2017-12-19 14:12:00
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday December 10 and Saturday December 16 2017:

Upcoming events
---------------

The Reproducible Builds project [are organising an assembly at 34C3](https://events.ccc.de/congress/2017/wiki/index.php/Assembly:Reproducible-Builds) (the <em>["Galactic Congress"](https://events.ccc.de/2017/11/26/a-galactic-congress-welcomes-all-lifeforms/)</em>) in Leipzig, Germany. [We will informally meet every day at 13:37 UTC](https://lists.reproducible-builds.org/pipermail/rb-general/2017-November/000735.html) and would be delighted if you joined us there.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Adrian Bunk:
    * [#884214](https://bugs.debian.org/884214) filed against [purify](https://tracker.debian.org/pkg/purify).
    * [#884295](https://bugs.debian.org/884295) filed against [node-semver-diff](https://tracker.debian.org/pkg/node-semver-diff).
    * [#884477](https://bugs.debian.org/884477) filed against [node-simple-swizzle](https://tracker.debian.org/pkg/node-simple-swizzle).
* Alexander lynxis Couzens:
    * lua-i2c: Remove build timestamp ([forwarded upstream](https://github.com/mrpace2/lua-i2c/pull/1)).
* Bernhard M. Wiedemann:
  * [arj](https://build.opensuse.org/request/show/557560) merged, date - upstreamable?
  * [libvips](https://github.com/jcupitt/libvips/pull/832) merged, date
  * [osdlyrics](https://github.com/osdlyrics/osdlyrics/pull/34) date
  * [ruby/rdoc](https://github.com/ruby/rdoc/pull/569) drop gzip mtime
  * [ruby/rdoc](https://github.com/ruby/rdoc/pull/570) support `SOURCE_DATE_EPOCH`
  * [rmt-server](https://build.opensuse.org/request/show/557611) merged, drop build logs, CPU-count
  * [sakura](https://build.opensuse.org/request/show/557607) merged, png-timestamp
* Chris Lamb:
    * [#884047](https://bugs.debian.org/884047) filed against [bibledit](https://tracker.debian.org/pkg/bibledit).
    * [#884254](https://bugs.debian.org/884254) filed against [pydoctor](https://tracker.debian.org/pkg/pydoctor) ([forwarded upstream](https://github.com/twisted/pydoctor/pull/146)).
    * [#884256](https://bugs.debian.org/884256) filed against [pysph](https://tracker.debian.org/pkg/pysph).
    * [#884402](https://bugs.debian.org/884402) filed against [sonic-pi](https://tracker.debian.org/pkg/sonic-pi).
    * [#884527](https://bugs.debian.org/884527) filed against [parso](https://tracker.debian.org/pkg/parso) ([forwarded upstream](https://github.com/davidhalter/parso/pull/25)).


Reviews of unreproducible packages
----------------------------------

43 package reviews have been added, 48 have been updated and 51 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

4 issue types have been updated:

* Chris Lamb:
    * [Add a patch for nondeterminism\_added\_by\_pyqt5\_pyrcc5](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/fda94dd4)
    * [Add patch for nondeterminism\_in\_documentation\_generated\_by\_pydoctor toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/259acf35)
    * [Add new nondeterminism\_in\_documentation\_generated\_by\_pydoctor toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/d8b96933)
* Christoph Berh:
    * [sphinx\_htmlhelp\_readdir\_sensitive is #884010](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/3664f5ad)

Weekly QA work
--------------

During our reproducibility testing, FTBFS bugs have been detected and reported by:

 - Adrian Bunk (55)
 - Andreas Beckmann (2)
 - Laurent Bigonville (1)
 - Michael Biebl (1)
 - Pierre Saramito (2)


diffoscope development
----------------------

- Juliana Oliveira Rodrigues:
    - [Fix `readelf` exit code](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9e2013f)



reprotest development
---------------------

Version [0.7.5](https://tracker.debian.org/news/893681), [0.7.6](https://tracker.debian.org/news/894425) and [0.7.7](https://tracker.debian.org/news/894429) was uploaded to unstable by Ximin Luo.

It included [contributions](https://salsa.debian.org/reproducible-builds/reprotest/commits/debian/0.7.5) already covered by posts of the previous weeks as well as new changes:

- Ximin Luo:
    - [Fix nondeterministic `num\_cpus`-related test failures](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=5ec344e)
    - [Update to latest `Standards-Version;` no changes required](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=e6c91e4)
    - [Bump version in `setup.py`.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=3bc2e51)
    - [Update debian/copyright and use HTTPS in debian/watch.](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=4a6154d)


buildinfo.debian.net development
--------------------------------

- Chris Lamb:
    - [Don't HTTP 500 if no request body.](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=6da7bf2)
    - [Actually catch the `TypeError: decode() argument 1 must be string, not None`](https://salsa.debian.org/reproducible-builds/buildinfo.debian.net.git/commit/?id=a4f4613)



reproducible-website development
--------------------------------

- Holger Levsen:
    - [Link preliminary notes](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/3c92ee5)
    - [Add group photo](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/d0a4fa2)
    - [Cleanup some markup](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/38e7bdc)
    - [Link agenda brains-torming session](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/a303994)
    - [Separate ogo-design notes](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/c2afe16)
    - [Move agenda to its own page](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/489a42c)
    - [Add archive-formats notes](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/b7513c2)
    - [Include PDF version of report by Aspiration and link to it](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/14689b9)

- Daniel Kahn Gillmor:
    - [Removed HTML-formatted table now that we have it in markdown](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/5585c18)
    - [Added table for archive formats](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/bd4d2aa)


jenkins.debian.net development
------------------------------

- Holger Levsen (ArchLinux support)
    - Scheduler:
        - [Sleep at job end to prevent immediate restarts](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=8ba4ecf7)
        - [Improve scheduler output](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=e0a48b35)
        - [Don't reschedule blacklisted packages](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=b5bb6fbc)
    - New features / enhancements, etc.:
        - [Improve locking](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=80091e40)
        - [Delete old package files after the new ones have been created](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=7dc06c90)
        - [Deal with yet another way to build unreproducible packages](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=f0fc959e)
    - Bug-fixes:
        - [Prevent concurrent builds of the same package](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=60d6d27e)
        - [Use `sudo` to cleanup after the build](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=555e5b70)
        - [Ensure `pkg.html` files are world-readable](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=1134da0c)
        - [Fix conditional IRC message](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=938c0025)
        - [Correctly output packgae name](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=30aa899e)
        - [Also detect FTBFS due to failing to source `PKGBUILD` files](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=e4491a4d)
    - Documentation/reporting:
        - [Explain some (perceived) inconsistencies](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=b03e6ca4)
        - [Also announce current percentage on IRC](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=d9fa859b)
        - [Shorten irc message](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=e4ebd9a2)
        - [Disable irc notifications about unreproducible packages until we found a way to report status changes](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=6f6985e2)
    - Misc:
        - [Unblacklist zathura](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=520ea710)

- Mattia Rizzolo:
    - [Start moving build configuration to an `.ini` file](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=6132c7a6)
    - [Do not bind-mount `/dev` and `/dev/fs` inside new chroots](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=f5874f07)
    - [Fix "future detection" now that we are close to 2018](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=123b089a)
    - `common.py` support library:
        - [Move `argparse` handling before parsing the configuration](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=fd97a23c)
        - [Allow passing parameters to `query\_db()`](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=e0e1ac74)
        - [Fix a `debian` hardcoding](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=027f3e23)
        - [Allow passing a distribution value to scripts](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=0afdbbda)
    - Documentation:
        - [INSTALL: fix formatting](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=5deee654)
        - [INSTALL: draft some documentation on how slaves are set up](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=580b8e4e)
    - Jenkins management:
        - [Simplify ssh restrictions by using the new ``restrict`` option](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=065b840d) (see `sshd(1)`)
        - [Allow `jenkins` user to SSH to itself](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=5f3b2100)
        - [Don't rewrite HTTP requests for `/descriptorByName` endpoint](https://anonscm.debian.org/git/qa/jenkins.debian.net/commit/?id=0c3b9079)

Misc.
-----

This week's edition was written by Alexander Couzens, Bernhard M. Wiedemann, Chris Lamb and Holger Levsen & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
