---
layout: blog
week: 140
published: 2018-01-02 15:01:08
---

Merry Christmas! Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday December 24 and Saturday December 30 2017:

Media coverage
--------------

Reproducible builds were mentioned in several [34C3](https://events.ccc.de/congress/2017/wiki/index.php/Main_Page) talks:

* [NERF and Heads](https://media.ccc.de/v/34c3-9056-bringing_linux_back_to_server_boot_roms_with_nerf_and_heads#t=884)
* [Hardening Open Source Development](https://media.ccc.de/v/34c3-9249-hardening_open_source_development#t=440)
* [Antipatterns und Missverständnisse in der Softwareentwicklung](https://media.ccc.de/v/34c3-9095-antipatterns_und_missverstandnisse_in_der_softwareentwicklung#t=679)

Development and fixes in key packages
-------------------------------------

* Chris Lamb opened and fixed [#885327](https://bugs.debian.org/885327) in [Lintian](https://lintian.debian.org) to warn about packages that ship (non-reproducible) `.doctree` files»

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Chris Lamb:
    * [#885326](https://bugs.debian.org/885326) filed against [flask-peewee](https://tracker.debian.org/pkg/flask-peewee).
    * [#885408](https://bugs.debian.org/885408) filed against [multipath-tools](https://tracker.debian.org/pkg/multipath-tools).
    * [#885658](https://bugs.debian.org/885658) filed against [python-h2](https://tracker.debian.org/pkg/python-h2).
    * [#885695](https://bugs.debian.org/885695) filed against [golang-github-tjfoc-gmsm](https://tracker.debian.org/pkg/golang-github-tjfoc-gmsm).
    * [#885853](https://bugs.debian.org/885853) filed against [sasview](https://tracker.debian.org/pkg/sasview).
    * [#885873](https://bugs.debian.org/885873) filed against [cypari2](https://tracker.debian.org/pkg/cypari2) ([sent upstream](https://github.com/defeo/cypari2/pull/48))
* Jelle van der Waa:
    * [libical](https://github.com/libical/libical/pull/323) - hash table ordering

Reviews of unreproducible packages
----------------------------------

12 package reviews have been added, 23 have been updated and 45 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).


diffoscope development
----------------------

Versions [89](https://tracker.debian.org/news/896535) and [90](https://tracker.debian.org/news/896802) were uploaded to unstable by Mattia Rizzolo. They included [contributions](https://salsa.debian.org/reproducible-builds/diffoscope/commits/debian/89) already covered by posts of the previous weeks as well as new ones from:

- Juliana Oliveira:
    - [Skip tests that depends on `xz`](https://salsa.debian.org/reproducible-builds/diffoscope/commit/97c314b)
    - [Fix LLVM >= 5.0 testcase](https://salsa.debian.org/reproducible-builds/diffoscope/commit/604747e)

- Mattia Rizzolo:
    - [Skip Android tests involving `abootimg` on BE archs](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1fdbfd9) (see [#725729](https://bugs.debian.org/725729))
    - [Remove `.cache` when cleaning Debian packaging](https://salsa.debian.org/reproducible-builds/diffoscope/commit/cfd7960)
    - [d/rules: revert `PYTHONPATH` mangling, unneeded](https://salsa.debian.org/reproducible-builds/diffoscope/commit/202caf9)
    - [Bump Debhelper "compat" level to 11.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/83970f6)
    - [Set `Rules-Requires-Root: no` in debian/control](https://salsa.debian.org/reproducible-builds/diffoscope/commit/4485e40)


jenkins.debian.net development
------------------------------

- Mattia Rizzolo (scheduler changes):
    - [Rename `-d/--noisy` to `--notify-on-start`](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=ecbde859)
    - [Ignore `unknown_args`](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=aa775bac)
    - [Convert the `distro` positional argument into a `--distro` flag instead](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=eb1a1b6b)

Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb and Jelle van der Waa & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
