---
layout: blog
week: 160
published: 2018-05-22 06:30:36
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday May 13 and Saturday May 19 2018:

* At the [MiniDebConfHamburg](https://wiki.debian.org/DebianEvents/de/2018/MiniDebConfHamburg) ([full schedule](https://wiki.debian.org/DebianEvents/de/2018/MiniDebConfHamburg#Schedule)):

    * Chris Lamb presented on [diffoscope.org](https://diffoscope.org).

    * Chris Lamb, Holger Levsen, Jonathan Bustillos Osornio (jathan) and Steven Chamberlain will present on Sunday 20th May on Reproducible Builds, focusing on the status in Debian *buster*.

    * [Benjamin Hof](https://www.net.in.tum.de/members/hof/) gave an interesting talk entitled *Software transparency: package security beyond signatures and reproducible builds*.

    * Jan Kiszka will also present on Sunday 20th May on *Getting (more) Debian into our civil infrastructure* which will touch on reproducible builds.

* Our Git repositories [were migrated from the deprecated Alioth service](https://lists.reproducible-builds.org/pipermail/rb-general/2018-May/000954.html) to [salsa.debian.org](https://wiki.debian.org/Salsa) by Mattia Rizzolo and Chris Lamb. Thanks to the *salsa* administrators!

* Arnout Engelen [opened the final vote on our logo](https://lists.reproducible-builds.org/pipermail/rb-general/2018-May/000952.html) which will close on Tuesday 22nd May.

* Mattia Rizollo migrated the [diffoscope.org](https://diffoscope.org/) website to the `jenkins.debian.net` infrastucture.

* 134 package reviews have been added, 25 have been updated and 29 have been removed in this week, adding to our [knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

* Chris Lamb updated the [reproducible-builds.org](https://reproducible-builds.org) website, including [dropping unnecessary punctuation from opening paragraph on documentation page](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/27ed2ed) and updating URIs now that website has migrated to Salsa ([1](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/a0b7671), [2](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/aa75184)).

* Mattia Rizzolo [migrated](https://alioth-lists.debian.net/pipermail/reproducible-builds/Week-of-Mon-20180514/010204.html) our [experimental toolchain repository](https://wiki.debian.org/ReproducibleBuilds/ExperimentalToolchain) to the `jenkins.debian.net` infrastructure, following the alioth.debian.org deprecation.

Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:

    * [python-oslo.versionedobjects](https://review.openstack.org/568815) (drop `.pickle` file)

    * [python-pyqtgraph](https://build.opensuse.org/request/show/610148) (merged, drop `.pickle` file)

    * [python-pgmagic](https://github.com/hhatto/pgmagick/pull/47) (merged, sort readdir)

    * [ngspice](https://github.com/imr/ngspice/pull/5) (`SOURCE_DATE_EPOCH`)

    * [lilypond](https://sourceforge.net/p/testlilyissues/issues/5323/) (sort `readdir(2)`)

* Chris Lamb:

    * [#898912](https://bugs.debian.org/898912) against [telepathy-gabble](https://tracker.debian.org/pkg/telepathy-gabble).

    * [fontconfig](https://www.freedesktop.org/wiki/Software/fontconfig/) ([fixed upstream](https://lists.freedesktop.org/archives/fontconfig/2018-May/006287.html))

* Levente Polyak:

    * [rubygems](https://github.com/rubygems/rubygems/pull/2278) (make gemspec generation reproducible)

    * [rubygems](https://github.com/rubygems/rubygems/pull/2289) (make tarball generation reproducible)

    * [rubygems](https://github.com/rubygems/rubygems/issues/2290) (proposal to make gems set `SOURCE_DATE_EPOCH` by default to make all gems reproducible)

In addition, build failure bugs were reported by Adrian Bunk (2) and Gilles Filippini (1).


diffoscope development
----------------------

[diffoscope](https://diffoscope.org) is our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages.

* Chris Lamb:

    * Update referencess to Alioth now that the repository has migrated to salsa. ([1](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d0aae3d), [2](https://salsa.debian.org/reproducible-builds/diffoscope/commit/1d504a9))
    * [Drop extra whitespace in supported file format output](https://salsa.debian.org/reproducible-builds/diffoscope/commit/c1d61eb).

* Mattia Rizzolo:

    * [Update URL in `debian/watch` to point to the new archive](https://salsa.debian.org/reproducible-builds/diffoscope/commit/351f8b6).
    * [Make the dependency on `python3-distutils` an alternative on the previous versions of `libpython3.*-stdlib` that used to ship it](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e85c017).


reprotest development
---------------------

*reprotest* is our tool to build software and check it for reproducibility.

* kpcyrd:
    * [Add a Dockerfile](https://salsa.debian.org/reproducible-builds/reprotest/commit/c7996e7).

* Chris Lamb:
    * Update referencess to Alioth now that the repository has migrated to Salsa. ([1](https://salsa.debian.org/reproducible-builds/reprotest/commit/7e7bc0c), [2](https://salsa.debian.org/reproducible-builds/reprotest/commit/8acc654), [3](https://salsa.debian.org/reproducible-builds/reprotest/commit/ffdbaf6))

jenkins.debian.net development
------------------------------

There were a number of changes to our [Jenkins](https://jenkins.io/)-based testing framework, including:

* Mattia Rizzolo:

    * Web scheduler:

        This new facility will allow anyone with a [Debian SSO user certificate](https://sso.debian.org/) to schedule package builds.

        * [Add script and cronjob to update debian-sso CA certificate and revocation list](https://salsa.debian.org/qa/jenkins.debian.net/commit/c09f6b9ff).
        * [Add a CGI script to schedule builds over HTTPS](https://salsa.debian.org/qa/jenkins.debian.net/commit/a9a895f4).
        * [Configure apache to require authentication on the scheduler](https://salsa.debian.org/qa/jenkins.debian.net/commit/93d449dd9).
        * Fix several crashes from the first iteration ([1](https://salsa.debian.org/qa/jenkins.debian.net/commit/21ef4d0b),
          [2](https://salsa.debian.org/qa/jenkins.debian.net/commit/d8cd393d).
          [3](https://salsa.debian.org/qa/jenkins.debian.net/commit/e9931086)).
        * [Add an `X-Error-Message` header in case of `ValidationError`](https://salsa.debian.org/qa/jenkins.debian.net/commit/26dcd3a5).
        * [Disable the `--dry-run` mode therefore enabling the web scheduler](https://salsa.debian.org/qa/jenkins.debian.net/commit/e3c6b657).
        * [Add ♻ links to the package pages to trigger new builds](https://salsa.debian.org/qa/jenkins.debian.net/commit/e5973377).

    * [diffscope,org](https://diffoscope.org) website migration:

        * [Add Jenkins job to build the website](https://salsa.debian.org/qa/jenkins.debian.net/commit/a06daad4).
        * [Configure Apache to serve the website](https://salsa.debian.org/qa/jenkins.debian.net/commit/66eac719).
        * [Configure SSL](https://salsa.debian.org/qa/jenkins.debian.net/commit/9034bf1e).
        * [Build the website with Jekyll](https://salsa.debian.org/qa/jenkins.debian.net/commit/60a7efea).
        * [Also notify also `#reproducible-builds` about the website building jobs](https://salsa.debian.org/qa/jenkins.debian.net/commit/ad15bc5d).

    * Debian package testing, related to the move of our packages repository to jenkins:

        * [Drop special-casing for debbindiff/strip-nondeterminis/diffoscope/disorderfs as we are not going to upload them to our repo anymore](https://salsa.debian.org/qa/jenkins.debian.net/commit/4cc3477e).
        * [Drop another special casing for our own packages](https://salsa.debian.org/qa/jenkins.debian.net/commit/ce1bb825).
        * [Move our Debian package repository to `tests.reproducible-builds.org` and `SSL`](https://salsa.debian.org/qa/jenkins.debian.net/commit/d4b90724).
        * [Configure APT to ignore SSL validation errors on the nodes in the future](https://salsa.debian.org/qa/jenkins.debian.net/commit/db383202).
        * Update the [index_repositories page](https://tests.reproducible-builds.org/debian/index_repositories.html) for the move ([1](https://salsa.debian.org/qa/jenkins.debian.net/commit/fdebcc48))

    * Misc:

        * [Update job descriptions for the Alioth to Salsa migration](https://salsa.debian.org/qa/jenkins.debian.net/commit/f45ac726).
        * [Move our git repositories from Alioth to Salsa](https://salsa.debian.org/qa/jenkins.debian.net/commit/911acbf6).
        * [Only print colours when the output is a tty](https://salsa.debian.org/qa/jenkins.debian.net/commit/8490b292).

* Eli Schwartz:

    * [Move "UTC" printing directly into format string now that `date` is used](https://salsa.debian.org/qa/jenkins.debian.net/commit/81377cc9).
    * [Replace several occurrences of parsing ls with cut, by the `date` command](https://salsa.debian.org/qa/jenkins.debian.net/commit/3b6edca5).
    * [Fix filepaths for cleaning up the old build files](https://salsa.debian.org/qa/jenkins.debian.net/commit/33afb85f).


Misc.
-----

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Levente Polyak and Mattia Rizzolo & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
