---
layout: blog
week: 65
published: 2016-08-01 03:08:02
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday July 17 and Saturday July 23 2016:

GSoC and Outreachy updates
--------------------------

Valerie Young [wrote an update about her Outreachy progress on tests.reproducible.org](http://www.spectranaut.cc/?page_id=51).

Packages reviewed and fixed, and bugs filed
-------------------------------------------

Patches have been submitted by:

- Chris Lamb:
  - [gearmand: please make the build reproducible](https://bugs.debian.org/831771)
  - [gngb: please make the build reproducible](https://bugs.debian.org/831773)
  - [speech-tools: please make the build reproducible](https://bugs.debian.org/831583)
  - [libwebsockets: please make the build reproducible](https://bugs.debian.org/831569)
  - [feh: please make the build reproducible](https://bugs.debian.org/832178)
  - [sa-exim: please make the build reproducible](https://bugs.debian.org/831649)
  - [wordgrinder: please make the build reproducible](https://bugs.debian.org/831742)
  - [ifmail: please make the build reproducible](https://bugs.debian.org/831629)
  - [libmongoc: please make the build reproducible](https://bugs.debian.org/831659)
  - [pxlib: please make the build reproducible](https://bugs.debian.org/832288)
  - [vtwm: please make the build reproducible](https://bugs.debian.org/831661)
  - [tcpreen: please make the build reproducible](https://bugs.debian.org/831585)
  - [borgbackup: please make the build reproducible](https://bugs.debian.org/831658)
  - [nfstrace: please make the build reproducible](https://bugs.debian.org/831570)
  - [ironic: please make the build reproducible](https://bugs.debian.org/831650)
  - [xloadimage: please make the build reproducible](https://bugs.debian.org/831743)
  - [stressapptest: please make the build reproducible](https://bugs.debian.org/831587)
  - [tcpflow: please make the build reproducible](https://bugs.debian.org/831584)
  - [python-mkdocs: please make the build reproducible](https://bugs.debian.org/831648)
  - [vtun: please make the build reproducible](https://bugs.debian.org/831660)
  - [hocr: please make the build reproducible](https://bugs.debian.org/831647)
  - [ui-auto: please make the build reproducible](https://bugs.debian.org/832180)
  - [ftplib: please make the build reproducible](https://bugs.debian.org/831645)
  - [fvwm: please make the build reproducible](https://bugs.debian.org/831646)
  - [why3: please make the build reproducible](https://bugs.debian.org/831664)
  - [uisp: please make the build reproducible](https://bugs.debian.org/832290)
  - [idjc: please make the build reproducible](https://bugs.debian.org/831630)
  - [python-docutils: please make the output of rst2man reproducible](https://bugs.debian.org/831779)
  - [python-mkdocs: please make the build reproducible](https://bugs.debian.org/831648)

- Dhole:
  - [libterralib: please make the build reproducible](https://bugs.debian.org/831903)

- Reiner Herrmann:
  - [aboot: please make the build reproducible](https://bugs.debian.org/831972)


Package reviews
---------------

17 package reviews have been added and 4 have been updated.
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index_issues.html).

Some issues have been updated:

- [Add new timestamps_in_manpages_generated_by_rst2man issue](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5ab0eb8)
- [More timestamp issues are deterministic failures](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/103f985)
- [remove issue ftbfs_with_dpkg_buildpackage_buildinfo_identifier_error](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/6faf10b)
- [Add a patch for timestamps_in_manpages_generated_by_rst2man toolchain issue.](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/5adbdd5)

Weekly QA work
--------------

FTBFS bugs have been reported by:

 - Chris Lamb (5)
 - Mattia Rizzolo (7)
 - Samuel Hym (1)


diffoscope development
----------------------

- Mattia Rizzolo:
  - [Drop ar from RequiredToolNotFound.PROVIDERS as we don't use ar(1) directly](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d84c49e)
- Ximin Luo:
  - [Add support for AR archives (including Rust .rlib files)](https://salsa.debian.org/reproducible-builds/diffoscope/commit/9415dd7)
  - [Add some more documentation for ArFile/ArContainer](https://salsa.debian.org/reproducible-builds/diffoscope/commit/63ce5bf)
  - [RequiredToolNotFound.PROVIDERS dict values are package names, not binary names](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ad8cc6f)
- Chris Lamb:
  - [Add git index file comparator.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/cd4928c)
  - [Drop unused imports in Ar comparator.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5b4c6c2)


strip-nondeterminism development
--------------------------------

- strip-nondeterminism 0.020-1 was uploaded to unstable by Chris Lamb.

- Chris Lamb:
  - [Correct the max number of bytes we read when copying PNG chunk data](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=dfd1d3b)
  - [Rewrite PNG handler to support bailing out on invalid header lengths](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=311c913)
  - [Include CRC when reading potential PNG blocks](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=4b180e3)
  - [Don't trust the value of $len in PNG handler. (Closes: #831443)](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=62ba94d)
  - [Improve readability in PNG handler by not including IEND detection in "else"](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=1cf5dbe)


reprotest development
---------------------

- Ceridwen:
  - [Suppress autopkgtest verbosity for release](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=17de902)
  - [Add sdist and wheel to tests, and test the installed code](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=fa00736)
  - [Maybe get setuptools install working](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=a174167)
  - [Merge virtualization into master](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=5efca85)
  - [Reenable the Debian self-build](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=0e1dcc0)
  - [Ensure disorderfs is mounted with multiuser access if the container has root privileges](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=ebd0838)
  - [Rename Testbed.caps to Testbed.capabilities](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=585a116)
  - [Add Python license to debian/copyright](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=4284aef)
  - [Fix cleanup handling iin both the failing and non-failing cases](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=df65856)
  - [Add new recommends and update version information](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=5c7985d)
  - [Add instructions for running the tests](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=28a7008)
  - [Shorten license boilerplate and add new copyright info](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=f2c309e)
  - [Bump version numbers in preparation for the next release](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=91ef7b8)
  - [Make the file names depend on the current version in the tests](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=dbcf300)
  - [Factor out common code for constructing shell ASTs](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=a0ad88f)
  - [Move contextlib monkey-patch to its own file](https://salsa.debian.org/reproducible-builds/reprotest.git/commit/?id=dda03c6)


tests.reproducible-builds.org
-----------------------

- Added main navigation highlighting to python pages (Valerie Young)
- Use python and templates to generate pkg sets (Valerie Young, with lots of review from mattia) which sped up runtime a lot, so package sets are now updated 4 times an hour instead of every 4 hours.

Misc.
-----

This week's edition was written by Chris Lamb and reviewed by a bunch of Reproducible builds folks on IRC.
