---
layout: blog
week: 67
published: 2016-08-09 12:08:12
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday July
31 and Saturday August 6 2016:

Toolchain development and fixes
-------------------------------

* [dpkg](https://tracker.debian.org/pkg/dpkg)/1.18.10 by Guillem Jover.
  * Generate reproducible source tarballs by using the new GNU tar
    --clamp-mtime option
  * Enable fixdebugpath build flag feature by default, [#832179](https://bugs.debian.org/832179) by
    Mattia Rizzolo.
* [cython](https://tracker.debian.org/pkg/cython)/0.24.1-1 by Yaroslav Halchenko.
  * Fix a file ordering issue, [#806493](https://bugs.debian.org/806493) by Chris Lamb.
* Chris Lamb and Thomas Schmidt [worked on some patches to make reproducible
  ISO images](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20160801/006484.html).
* Johannes Schauer continued the discussion on [#763822](https://bugs.debian.org/763822) regarding dak
  and buildinfo files.
* Johannes Schauer continued the discussion on [#774415](https://bugs.debian.org/774415) regarding
  srebuild and debrebuild.

Packages fixed and bugs filed
-----------------------------

The following 24 packages have become reproducible - in our current test
setup - due to changes in their build-dependencies:
[alglib](https://tracker.debian.org/pkg/alglib)
[aspcud](https://tracker.debian.org/pkg/aspcud)
[boomaga](https://tracker.debian.org/pkg/boomaga)
[fcl](https://tracker.debian.org/pkg/fcl)
[flute](https://tracker.debian.org/pkg/flute)
[haskell-hopenpgp](https://tracker.debian.org/pkg/haskell-hopenpgp)
[indigo](https://tracker.debian.org/pkg/indigo)
[italc](https://tracker.debian.org/pkg/italc)
[kst](https://tracker.debian.org/pkg/kst)
[ktexteditor](https://tracker.debian.org/pkg/ktexteditor)
[libgroove](https://tracker.debian.org/pkg/libgroove)
[libjson-rpc-cpp](https://tracker.debian.org/pkg/libjson-rpc-cpp)
[libqes](https://tracker.debian.org/pkg/libqes)
[luminance-hdr](https://tracker.debian.org/pkg/luminance-hdr)
[openscenegraph](https://tracker.debian.org/pkg/openscenegraph)
[palabos](https://tracker.debian.org/pkg/palabos)
[petri-foo](https://tracker.debian.org/pkg/petri-foo)
[pgagent](https://tracker.debian.org/pkg/pgagent)
[sisl](https://tracker.debian.org/pkg/sisl)
[srm-ifce](https://tracker.debian.org/pkg/srm-ifce)
[vera++](https://tracker.debian.org/pkg/vera++)
[visp](https://tracker.debian.org/pkg/visp)
[x42-plugins](https://tracker.debian.org/pkg/x42-plugins)
[zbackup](https://tracker.debian.org/pkg/zbackup)

The following packages have become reproducible after being fixed:

* [cvs2svn](https://tracker.debian.org/pkg/cvs2svn)/2.4.0-3 by Laszlo Boszormenyi, [#831066](https://bugs.debian.org/831066) by Chris Lamb.
* [dapl](https://tracker.debian.org/pkg/dapl)/2.1.8-2 by 2.1.8-1 by Ana Beatriz Guerrero Lopez, [#833410](https://bugs.debian.org/833410) by Chris Lamb.
* [fonts-noto](https://tracker.debian.org/pkg/fonts-noto)/20160116-3 by Vasudev Kamath, [#833005](https://bugs.debian.org/833005) by Chris Lamb.
* [fortunes-bg](https://tracker.debian.org/pkg/fortunes-bg)/1.3 by Anton Zinoviev, [#777484](https://bugs.debian.org/777484) by Chris Lamb.
* [fsvs](https://tracker.debian.org/pkg/fsvs)/1.2.7-1 by Reiner Herrmann.
* [infernal](https://tracker.debian.org/pkg/infernal)/1.1.2-1 by Sascha Steinbiss.
* [libitpp](https://tracker.debian.org/pkg/libitpp)/4.3.1-7 by Kumar Appaiah, [#795394](https://bugs.debian.org/795394) by Eduard Sanou.
* [libtar](https://tracker.debian.org/pkg/libtar)/1.2.20-6 by Magnus Holmgren.
* [libterralib](https://tracker.debian.org/pkg/libterralib)/4.3.0+dfsg.2-9 by Alastair McKinstry, [#831093](https://bugs.debian.org/831093) by Eduard Sanou.
* [mknbi](https://tracker.debian.org/pkg/mknbi)/1.4.4-12 Ralf Treinen, [#831432](https://bugs.debian.org/831432) by Chris Lamb.
* [node-iscroll](https://tracker.debian.org/pkg/node-iscroll)/5.2.0+dfsg1-1 by Balint Reczey.
* [octave-communications](https://tracker.debian.org/pkg/octave-communications)/1.2.1-2 by Rafael Laboissiere.
* [python-mkdocs](https://tracker.debian.org/pkg/python-mkdocs)/0.15.3-5 by Brian May, [#831648](https://bugs.debian.org/831648) by Chris Lamb.
* [remake](https://tracker.debian.org/pkg/remake)/4.1+dbg1.1+dfsg-1 by Yaroslav Halchenko, [#806552](https://bugs.debian.org/806552) by Reiner Herrmann.
* [sa-exim](https://tracker.debian.org/pkg/sa-exim)/4.2.1-16 by Magnus Holmgren.
* [seqan](https://tracker.debian.org/pkg/seqan)/1.4.2+dfsg-1 by Andreas Tille, [#809058](https://bugs.debian.org/809058) by Chris Lamb.
* [sbuild](https://tracker.debian.org/pkg/sbuild)/0.70.0-1 by Johannes Schauer, [#825991](https://bugs.debian.org/825991) from Aurelien Jarno.
* [trscripts](https://tracker.debian.org/pkg/trscripts)/1.18 by Anton Zinoviev, [#776927](https://bugs.debian.org/776927) by Chris Lamb.
* [ui-auto](https://tracker.debian.org/pkg/ui-auto)/1.2.9-1 by Stephan Sürken.
* [ui-utilcpp](https://tracker.debian.org/pkg/ui-utilcpp)/1.8.5-1 by Stephan Sürken.
* [xfonts-cronyx](https://tracker.debian.org/pkg/xfonts-cronyx)/2.3.8-8 by Anton Zinoviev, [#778230](https://bugs.debian.org/778230) by Chris Lamb.

The following newly-uploaded packages appear to be reproducible now, for
reasons we were not able to figure out. (Relevant changelogs did not mention
reproducible builds.)

* [libitext-java](https://tracker.debian.org/pkg/libitext-java)/2.1.7-1 by Emmanuel Bourg.
* [lice](https://tracker.debian.org/pkg/lice)/1:4.2.5i-2 by Kurt Roeckx.
* [pgbackrest](https://tracker.debian.org/pkg/pgbackrest)/1.04-1 by Adrian Vondendriesch.
* [pxlib](https://tracker.debian.org/pkg/pxlib)/0.6.7-1 by Uwe Steinmann.
* [runit](https://tracker.debian.org/pkg/runit)/2.1.2-5 by Dmitry Bogatov.
* [ssvnc](https://tracker.debian.org/pkg/ssvnc)/1.0.29-3 by Magnus Holmgren.
* [syncthing](https://tracker.debian.org/pkg/syncthing)/0.14.3+dfsg1-3 by Alexandre Viau.
* [tachyon](https://tracker.debian.org/pkg/tachyon)/0.99~b6+dsx-5 by Jerome Benoit.
* [tor](https://tracker.debian.org/pkg/tor)/0.2.8.6-2 by Peter Palfrader.

Some uploads have addressed some reproducibility issues, but not all of them:

* [apg](https://tracker.debian.org/pkg/apg)/2.2.3.dfsg.1-4 by Marc Haber, [#833141](https://bugs.debian.org/833141) by Daniel Shahaf.
* [atheme-services](https://tracker.debian.org/pkg/atheme-services)/7.2.6-1 by Antoine Beaupré.
* [gradle-debian-helper](https://tracker.debian.org/pkg/gradle-debian-helper)/1.3 by Emmanuel Bourg
* [hyperscan](https://tracker.debian.org/pkg/hyperscan)/4.2.0-2 by Robert Haist, [#832917](https://bugs.debian.org/832917) by Eduard Sanou
* [kodi 17.0~alpha3+dfsg1-1](https://tracker.debian.org/pkg/kodi 17.0~alpha3+dfsg1-1) by Balint Reczey, [#825285](https://bugs.debian.org/825285) by Lukas Rechberger
* [python-dtcwt](https://tracker.debian.org/pkg/python-dtcwt)/0.11.0-2 by Ghislain Antony Vaillant.
* [sollya](https://tracker.debian.org/pkg/sollya)/5.0+ds-3 by Jerome Benoit.
* [supercat](https://tracker.debian.org/pkg/supercat)/0.5.5-4.1 by Craig Sanders, [#793725](https://bugs.debian.org/793725) by Maria Valentina Marin, [#777396](https://bugs.debian.org/777396) by Chris Lamb.

Patches submitted that have not made their way to the archive yet:

 * [#833070](https://bugs.debian.org/833070) against [wget](https://tracker.debian.org/pkg/wget) by Reiner Herrmann.
 * [#833088](https://bugs.debian.org/833088) against [xine-lib-1.2](https://tracker.debian.org/pkg/xine-lib-1.2) by Daniel Shahaf.
 * [#833162](https://bugs.debian.org/833162) against [qemu](https://tracker.debian.org/pkg/qemu) by Daniel Shahaf.
 * [#833176](https://bugs.debian.org/833176) against [trafficserver](https://tracker.debian.org/pkg/trafficserver) by Reiner Herrmann.
 * [#833179](https://bugs.debian.org/833179) against [openldap](https://tracker.debian.org/pkg/openldap) by Daniel Shahaf.
 * [#833340](https://bugs.debian.org/833340) against [mini-buildd](https://tracker.debian.org/pkg/mini-buildd) by Chris Lamb.
 * [#833379](https://bugs.debian.org/833379) against [hardinfo](https://tracker.debian.org/pkg/hardinfo) by Chris Lamb.
 * [#833380](https://bugs.debian.org/833380) against [roaraudio](https://tracker.debian.org/pkg/roaraudio) by Chris Lamb.
 * [#833395](https://bugs.debian.org/833395) against [emacspeak](https://tracker.debian.org/pkg/emacspeak) by Chris Lamb.
 * [#833399](https://bugs.debian.org/833399) against [wims](https://tracker.debian.org/pkg/wims) by Chris Lamb.
 * [#833408](https://bugs.debian.org/833408) against [amora-server](https://tracker.debian.org/pkg/amora-server) by Chris Lamb.
 * [#833437](https://bugs.debian.org/833437) against [mp4h](https://tracker.debian.org/pkg/mp4h) by Chris Lamb.
 * [#833438](https://bugs.debian.org/833438) against [rest2web](https://tracker.debian.org/pkg/rest2web) by Chris Lamb.
 * [#833439](https://bugs.debian.org/833439) against [forkstat](https://tracker.debian.org/pkg/forkstat) by Chris Lamb.
 * [#833440](https://bugs.debian.org/833440) against [wmweather+](https://tracker.debian.org/pkg/wmweather+) by Chris Lamb.
 * [#833441](https://bugs.debian.org/833441) against [rc](https://tracker.debian.org/pkg/rc) by Chris Lamb.
 * [#833443](https://bugs.debian.org/833443) against [vit](https://tracker.debian.org/pkg/vit) by Chris Lamb.
 * [#833444](https://bugs.debian.org/833444) against [openhackware](https://tracker.debian.org/pkg/openhackware) by Chris Lamb.
 * [#833445](https://bugs.debian.org/833445) against [pd-pdstring](https://tracker.debian.org/pkg/pd-pdstring) by Chris Lamb.
 * [#833472](https://bugs.debian.org/833472) against [aghermann](https://tracker.debian.org/pkg/aghermann) by Daniel Shahaf.
 * [#833581](https://bugs.debian.org/833581) against [xshisen](https://tracker.debian.org/pkg/xshisen) by Chris Lamb.
 * [#833594](https://bugs.debian.org/833594) against [fizmo](https://tracker.debian.org/pkg/fizmo) by Chris Lamb.
 * [#833610](https://bugs.debian.org/833610) against [ara](https://tracker.debian.org/pkg/ara) by Chris Lamb.
 * [#833611](https://bugs.debian.org/833611) against [fntsample](https://tracker.debian.org/pkg/fntsample) by Chris Lamb.
 * [#833612](https://bugs.debian.org/833612) against [nsnake](https://tracker.debian.org/pkg/nsnake) by Chris Lamb.

Package reviews and QA
----------------------

These are reviews of [reproduciblity
issues](https://tests.reproducible-builds.org/debian/index_issues.html) of
Debian packages.

276 package reviews have been added, 172 have been updated and 44 have been
removed in this week.

 * New issues:
   * [unknown_ada_issue](https://tests.reproducible-builds.org/issues/unstable/unknown_ada_issue_issue.html)
   * [timestamps_in_documentation_generated_by_phpdox](https://tests.reproducible-builds.org/issues/unstable/timestamps_in_documentation_generated_by_phpdox_issue.html)
 * Updated issues:
   * [randomness_in_documentation_generated_by_sphinx](https://tests.reproducible-builds.org/issues/unstable/randomness_in_documentation_generated_by_sphinx_issue.html)

7 FTBFS bugs have been reported by Chris Lamb.

Reproducibility tools
---------------------

* [diffoscope](https://tracker.debian.org/pkg/diffoscope)/56~bpo8+1 uploaded to jessie-backports by Mattia Rizzolo
* [strip-nondeterminism](https://tracker.debian.org/pkg/strip-nondeterminism)/0.022-1~bpo8+1 uploaded to jessie-backports by Mattia Rizzolo

Test infrastructure
-------------------

For testing the impact of allowing variations of the buildpath (which up until
now we required to be identical for reproducible rebuilds), Reiner Herrmann
contribed a patch which enabled build path variations on testing/i386. This is
possible now since dpkg 1.18.10 enables the `--fixdebugpath` build flag feature
by default, which should result in reproducible builds (for C code) even with
varying paths. So far we haven't had many results due to disturbances in our
build network in the last days, but it seems this would mean roughly between
5-15% additional unreproducible packages - compared to what we see now. We'll
keep you updated on the numbers (and problems with compilers and common
frameworks) as we find them.

lynxis continued work to test [LEDE](https://tests.reproducible-builds.org/lede/)
and [OpenWrt](https://tests.reproducible-builds.org/openwrt/) on two different
hosts, to include date variation in the tests.

Mattia and Holger worked on the (mass) deployment scripts, so that the - for space
reasons - only [jenkins.debian.net GIT](https://anonscm.debian.org/cgit/qa/jenkins.debian.net.git/tree/)
clone resides in `~jenkins-adm/` and not anymore in Holger's homedir, so
that soon Mattia (and possibly others!) will be able to fully maintain this setup,
while Holger is doing siesta.

Miscellaneous
-------------

Chris, dkg, h01ger and Ximin attended a [Core Infrastricture
Initiative](https://www.coreinfrastructure.org/) summit meeting in New York
City, to discuss and promote this Reproducible Builds project. The CII was set
up in the wake of the Heartbleed SSL vulnerability to support software projects
that are critical to the functioning of the internet.

This week's edition was written by Ximin Luo and Holger Levsen and reviewed by a bunch of
Reproducible Builds folks on IRC.
