---
layout: blog
week: 68
published: 2016-08-14 22:08:01
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday August 7 and Saturday August 13 2016:

GSoC and Outreachy updates
--------------------------

* spectranaut [blogged about a database migration plan](http://www.spectranaut.cc/?p=57)
* ceridwen [provided a weekly update of reprotest development](https://reproducible.alioth.debian.org/blog/posts/people/ceridwen/reprotest\_week10/)

Reproducible work in other projects
-----------------------------------

Thomas Schmitt <scdbackup@gmx.net> implemented [a new -as mkisofs option](http://libburnia-project.org/changeset/5737):

    --set_all_file_dates timestring

    Set mtime, atime, and ctime of all files and directories to  the
    given time.

    Valid  timestring  formats  are:  'Nov  8  14:51:13  CET  2007',
    110814512007.13, 2007110814511300. See also --modification-date=
    and man xorriso, Examples of input timestrings.

    This  action  stays  delayed until mkisofs emulation ends. Up to
    then it  can  be  revoked  by  --set_all_file_dates  with  empty
    timestring.   In  any  case  files  which get into the ISO after
    mkisofs emulation ended will not  be  affected,  unless  another
    mkisofs emulation applies --set_all_file_date again.

[LEDE](https://www.lede-project.org/) developer Jonas Gorski [submitted a patch to fix build times in their kernel](https://github.com/lede-project/source/commit/5fe923b15d94e27fa6db863a6d994bfb4355e4cb):

    kernel: allow reproducible builds

    Similar how we fix the file times in the filesystems, fix the build time
    of the kernel, and make the build number static. This should allow the
    kernel build to be reproducible when combined with setting the
    KERNEL\_BUILD\_USER and \_DOMAIN in case of different machines.

    The reproducability only applies to non-initramfs kernels, those still
    require additional changes.
    Signed-off-by: Jonas Gorski <jonas.gorski@gmail.com>
 

Packages reviewed and fixed, and bugs filed
-------------------------------------------

Patches have been submitted by:

- Chris Lamb:
  - [perl: please make the output of ExtUtils::Command::MM reproducible](https://bugs.debian.org/834190)
  - [advi: please make the build reproducible](https://bugs.debian.org/834137)
  - [bam: please make the build reproducible](https://bugs.debian.org/834160)
  - [bedtools: please make the build reproducible](https://bugs.debian.org/834110)
  - [ddd: please make the build reproducible](https://bugs.debian.org/834016)
  - [dnssec-trigger: please make the build reproducible](https://bugs.debian.org/833818)
  - [gnunet-gtk: please make the build reproducible](https://bugs.debian.org/834111)
  - [handbrake: please make the build reproducible](https://bugs.debian.org/834192)
  - [libpam-ldap: please make the build reproducible](https://bugs.debian.org/834050)
  - [mp4v2: please make the build reproducible](https://bugs.debian.org/834159)
  - [n2n: please make the build reproducible](https://bugs.debian.org/833819)
  - [pixelmed-codec: please make the build reproducible](https://bugs.debian.org/834052)
  - [python-attrs: please make the build reproducible](https://bugs.debian.org/833886)
  - [tuxpaint: please make the build reproducible](https://bugs.debian.org/834109)
  - [valknut: please make the build reproducible](https://bugs.debian.org/834017)
  - [winswitch: please make the build reproducible](https://bugs.debian.org/834051)

- Reiner Herrmann:
  - [taopm: please make the build reproducible](https://bugs.debian.org/834229)
  - [uanytun: please make the build reproducible](https://bugs.debian.org/834227)

- Sascha Steinbiss:
  - [ncbi-tools6: please add support for SOURCE\_DATE\_EPOCH](https://bugs.debian.org/834139)


Package reviews
---------------

28 reviews have been added, 4 have been updated and 7 have been removed in this week,
adding to our knowledge about [identified issues](https://tests.reproducible-builds.org/debian/index\_issues.html).

Issue types have been added/updated:

- [rustc armhf blacklist](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/024aebf) updated
- [timestamps\_in\_manpages\_generated\_by\_perl\_extutils\_mm\_unix toolchain issue](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/865c5b3) added

Weekly QA work
--------------

FTBFS bugs have been reported by:

 - Chris Lamb (23)
 - shirish शिरीष (1)


diffoscope development
----------------------

- anthraxx:
  - [skip rlib test if llvm-dis tool is missing](https://salsa.debian.org/reproducible-builds/diffoscope/commit/536a771)
- Chris Lamb:
  - [Rename debian/install -> debian/difoscope.install now we have multiple binary packages.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/bf1a083)
  - [Rename diffoscope.\_\_main\_\_ to diffoscope.main as its not a "real" magic name](https://salsa.debian.org/reproducible-builds/diffoscope/commit/041ad95)
  - [comparators/directory.py: Call logger.warning over logger.warn.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/5fb78d0)
  - [Don't name first argument of Difference.from\_command "cls" as it's not a classmethod.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/0e06973)
  - [platform.get\_linux\_distribution() will break in Python 3.7.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/6ff039b)
  - [Raise NotImplementedError() instances over NotImplemented classes.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/bb4d562)
  - [Drop unused imports.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/d2b859b)
  - [Correct indentation levels in various files.](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2b76c22)
- Mattia Rizzolo:
  - [do not try to execute the command if the command is not available](https://salsa.debian.org/reproducible-builds/diffoscope/commit/742f6e8)
  - [Revert "debian/rules: workaround dh-python's bug related to build profiles"](https://salsa.debian.org/reproducible-builds/diffoscope/commit/24601d5)
  - [Remove build profiles, as they break dh-python](https://salsa.debian.org/reproducible-builds/diffoscope/commit/31b8e1d)
  - [debian/rules: workaround dh-python's bug related to build profiles](https://salsa.debian.org/reproducible-builds/diffoscope/commit/30823e5)
  - [debian/rules: teach pybuild where to put diffoscope's files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/ab9775f)
  - [debian/control: add more build-dependencies to be able to run more tests at build time](https://salsa.debian.org/reproducible-builds/diffoscope/commit/3ba4298)
  - [default-jdk-headless is enough to have javap, instead of all of defaul-jdk](https://salsa.debian.org/reproducible-builds/diffoscope/commit/653ccee)
  - [debian/control: mark build-dependency needed only for tests with a <build profile](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f9dba49)
  - [debian/rules: be more verbose when running the tests, in particular, show why tests are being skipped](https://salsa.debian.org/reproducible-builds/diffoscope/commit/beff8d9)
  - [autopkgtest: be more verbose when running the tests](https://salsa.debian.org/reproducible-builds/diffoscope/commit/65411af)
- Ximin Luo:
  - [Remove debugging print from tool\_older\_than](https://salsa.debian.org/reproducible-builds/diffoscope/commit/508cdaa)
  - [Fix typo in tool\_older\_than](https://salsa.debian.org/reproducible-builds/diffoscope/commit/652a74b)
  - [Disable the llvm-dis test if the version is lower than 3.8](https://salsa.debian.org/reproducible-builds/diffoscope/commit/b05ed6a)
  - [Add support for reading the symbol table to ArFile](https://salsa.debian.org/reproducible-builds/diffoscope/commit/cc3a2ba)
  - [Fix failing directory test](https://salsa.debian.org/reproducible-builds/diffoscope/commit/f07290e)
  - [Ignore line numbers because different llvm-dis versions output extra metadata](https://salsa.debian.org/reproducible-builds/diffoscope/commit/a034a33)
  - [Add test for rlib files, helping also to test ArFile, LlvmBitCodeFile and RustObjectFile](https://salsa.debian.org/reproducible-builds/diffoscope/commit/e3a4b34)
  - [Add support for reading Rust LLVM object files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/28dbe48)
  - [Add support for reading LLVM bitcode files](https://salsa.debian.org/reproducible-builds/diffoscope/commit/17b7c1f)


strip-nondeterminism development
--------------------------------

- Chris Lamb:
  - [Remove hyphen from non-determinism and non-deterministic.](https://salsa.debian.org/reproducible-builds/strip-nondeterminism.git/commit/?id=732aba7)


tests.reproducible-builds.org
-----------------------

- schedule testing/i386 more often than unstable+experimental, in order to see the results of building with build path variation. (h01ger)
- spectranaut wrote a patch for using sqlalchemy which has yet to be merged.
- Our build path variation tests on testing/i386 have brought the first results: the [build essential package set](https://tests.reproducible-builds.org/debian/testing/i386/pkg\_set\_build-essential.html) is now 43% unreproducible compared to "only" 26% on amd64. So another conclusion from this is probably that the build essential maintainers should merge our patches, the other is that build path variation is still a goal far way, which also can be seen "nicely" now in the general [suite graph showing the impact of build path variation](https://tests.reproducible-builds.org/debian/testing/index\_suite\_i386\_stats.html) introduced last week. (h0lger)
- Chris Lamb wrote a patch to [improve the top-level navigation](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=22aaf4188e18c54d66eb4a341ea1835df728f680) so that we can always get back to "home" of a package.
- Chris Lamb also wrote a patch to [explicitly log when a build was successful](https://anonscm.debian.org/git/qa/jenkins.debian.net.git/commit/?id=337869f5a0559b260b159fa23dbffd3a3f16cd4d) instead of it being implicit.


Misc.
-----

Chris started to ping old bugs with patches and no maintainer reaction so far.

This week's edition was written by Chris Lamb and Holger Levsen and reviewed by a bunch of Reproducible Builds folks on IRC.
