---
layout: blog
week: 79
published: 2016-11-02 19:11:16
---

What happened in the [Reproducible
Builds](https://wiki.debian.org/ReproducibleBuilds) effort between Sunday
October 23 and Saturday October 29 2016:


Upcoming events
---------------

The second **Reproducible Builds World Summit** will be held from [December
13th-15th](https://reproducible-builds.org/events/berlin2016/) in Berlin! See
the link for more details.

Other events:

[Introduction to Reproducible
Builds](https://osem.seagl.org/conference/seagl2016/program/proposal/166)
- Vagrant Cascadian will be presenting at the SeaGL.org Conference In
Seattle, USA on November 12th, 2016.

Reproducible Debian Hackathon - A small hackathon organized in Boston, USA on
December 3rd and 4th. If you are interested in attending, contact Valerie Young
- spectranaut in the #debian-reproducible IRC channel on irc.oftc.net.


IRC meeting
-----------

The next IRC meeting will be held on 2016-11-01 at 18:00 UTC. The meeting after
that will be held on 2016-11-15 at 18:00 UTC.


Reproducible work in other projects
-----------------------------------

Ximin Luo has had his fix to [bug
77985](https://gcc.gnu.org/bugzilla/show_bug.cgi?id=77985)
[accepted](https://gcc.gnu.org/viewcvs/gcc?view=revision&revision=241473) into
GCC. This is needed to be able to write test cases for patches to make GCC
produce debugging symbols that are reproducible regardless of the build path.

There was [continued
discussion](https://lists.alioth.debian.org/pipermail/reproducible-builds/Week-of-Mon-20161024/007383.html)
on the mailing list regarding our build path proposals. It has now been decided
to use an environment variable `SOURCE_PREFIX_MAP` instead of the older
proposal `SOURCE_ROOT_DIR`. This would be similar to GCC's existing
`-fdebug-prefix-map` option, which allows for better disambiguation between
paths from different packages.

mandoc's `makewhatis` is now
[reproducible](https://mdocml.bsd.lv/cgi-bin/cvsweb/mandocdb.c?rev=1.231&content-type=text/x-cvsweb-markup).
It is used by all the BSDs, including
[FreeBSD](https://svnweb.freebsd.org/changeset/base/307003), as well as Alpine
Linux and Void Linux.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

Chris Lamb:

* [#842477](https://bugs.debian.org/842477) filed against [git](https://tracker.debian.org/pkg/git)
* [#842115](https://bugs.debian.org/842115) filed against [partclone](https://tracker.debian.org/pkg/partclone)
* [#842356](https://bugs.debian.org/842356) filed against [bio-eagle](https://tracker.debian.org/pkg/bio-eagle)
* [#842050](https://bugs.debian.org/842050) filed against [tj3](https://tracker.debian.org/pkg/tj3)
* [#842203](https://bugs.debian.org/842203) filed against [seabios](https://tracker.debian.org/pkg/seabios)

Reiner Herrmann:

* [#841777](https://bugs.debian.org/841777) filed against [perl-tk](https://tracker.debian.org/pkg/perl-tk)
* [#841783](https://bugs.debian.org/841783) filed against [patchutils](https://tracker.debian.org/pkg/patchutils)
* [#841779](https://bugs.debian.org/841779) filed against [netkit-rsh](https://tracker.debian.org/pkg/netkit-rsh)
* [#842628](https://bugs.debian.org/842628) filed against [mwparserfromhell](https://tracker.debian.org/pkg/mwparserfromhell)
* [#842629](https://bugs.debian.org/842629) filed against [terminix](https://tracker.debian.org/pkg/terminix)
* [#842622](https://bugs.debian.org/842622) filed against [libvterm](https://tracker.debian.org/pkg/libvterm)
* [#842548](https://bugs.debian.org/842548) filed against [libmsv](https://tracker.debian.org/pkg/libmsv)
* [#842624](https://bugs.debian.org/842624) filed against [mdp-src](https://tracker.debian.org/pkg/mdp-src)
* [#842625](https://bugs.debian.org/842625) filed against [fuse-zip](https://tracker.debian.org/pkg/fuse-zip)
* [#842546](https://bugs.debian.org/842546) filed against [rsbackup](https://tracker.debian.org/pkg/rsbackup)
* [#842583](https://bugs.debian.org/842583) filed against [paulstretch](https://tracker.debian.org/pkg/paulstretch)
* [#842550](https://bugs.debian.org/842550) filed against [the](https://tracker.debian.org/pkg/the)
* [#842581](https://bugs.debian.org/842581) filed against [cryptsetup](https://tracker.debian.org/pkg/cryptsetup)


Reviews of unreproducible packages
----------------------------------

145 package reviews have been added, 608 have been updated and 94 have been
removed in this week, adding to our knowledge about [identified
issues](https://tests.reproducible-builds.org/debian/index_issues.html).

3 issue types have been updated:

- Added 1 new issue [docbook\_to\_man\_one\_byte\_delta](https://tests.reproducible-builds.org/issues/unstable/docbook\_to\_man\_one\_byte\_delta_issue.html).
- Updated 2 existing issues [randomness\_in\_r\_rdb\_rds\_databases](https://tests.reproducible-builds.org/issues/unstable/randomness\_in\_r\_rdb\_rds\_databases_issue.html)
  and [r\_base\_appends\_built\_header\_to\_description\_files](https://tests.reproducible-builds.org/issues/unstable/r\_base\_appends\_built\_header\_to\_description\_files_issue.html).


Weekly QA work
--------------

During of reproducibility testing, some FTBFS bugs have been detected and
reported by:

 - Chris Lamb (17)
 - Matthias Klose (2)


tests.reproducible-builds.org
-----------------------------

Debian:

- Valerie improved the SQL code so that the scheduler job again runs within
  minutes. She did the same to the job updating the notes about known issues,
  though this job still runs 12min and not 2min as it used to do…
- Thanks to a patch from Chris, which was improved by dkg and h01ger after
  discussions on our list, the .buildinfo files submitted to
  buildinfo.debian.net are now GPG signed by our build nodes.

General:

- Holger fixed the NetBSD and coreboot jobs which were broken due to work on
  the LEDE+OpenWRT jobs.
- As squid on jessie/i386 (but not on jessie/amd64) crashes frequently, we have
  have monitoring for this and Holger fixed a subtile bug there.


diffoscope development
----------------------

- Daniel Shahaf:
  - [json: detect order-only differences and print them nicely](https://salsa.debian.org/reproducible-builds/diffoscope/commit/8faf040)
- Mattia Rizzolo:
  - [tests: skip test using a format accepted by older pytest](https://salsa.debian.org/reproducible-builds/diffoscope/commit/fa07622)


Misc.
-----

This week's edition was written by Ximin Luo, Chris Lamb and Holger Levsen and reviewed by
a bunch of Reproducible Builds folks on IRC.
