---
layout: event_detail
title: Agenda
event: athens2015
order: 10
permalink: /events/athens2015/agenda/
---

Day 1
-----

*Tuesday, December 1*


*   9.00  Breakfast
*   10.10 Opening Circle
*   10.40 **Where are we at today (in Debian)?**
*   11.20 Break
*   11.40 *Speed Geeking* (interactive project showcase)
    -   **Binary Transparency**
    -   **Tor Browser**
    -   **Bazel**
    -   **Guix/Nix**
    -   **F-Droid**
*   12.35 What do you want to work on during the summit?

    Participants are invited to identify 3 to 5 statements or questions
    highlighting topics they'd like to work on at the meeting.

    One topic per post-it. Then post-its are collectively clustered by
    topic.
*   12.50 Lunch break
*   14.20 Working Sessions 1

    Two rounds: 45-minute round + 10-minute round to check out one more
    session (if desired)

    -   **Shared problems we can work on this week**
    -   **[Controlling the build environment]({{ "/events/athens2015/controlled-build-environment/" | relative_url }})**
    -   **Generalizing reproducible.debian.net continuous test system**
    -   **[Distribution/compiler bootstrapping and whole chain auditing]({{ "/events/athens2015/bootstrapping/" | relative_url }})**
*   16:20 Break
*   16.35 Working Sessions 2

    One 45-minute round

    -   **[Advocacy: communicating benefits of reproducible]({{ "/events/athens2015/benefits/" | relative_url }})**
    -   **[Improving the documentation]({{ "/events/athens2015/improving-docs/" | relative_url }})**
    -   **[Making file system images reproducible (installer, live media)]({{ "/events/athens2015/system-images/" | relative_url }})**
    -   **[Improving the Glasgow Haskell Compiler]({{ "/events/athens2015/ghc/" | relative_url }})**
*   17.30 Closing circle

    Final round question: What is one thing you would like to work on or get
    done tomorrow?

*   18.00 Adjourn

Day 2
-----

*Wednesday, December 2*


*   9.00  Breakfast
*   10.00 Opening Circle
*   10.15 Working Sessions 3

    Two rounds: 50-minute round + 10-minute round to check out one more
    session (if desired)

    -   **RPM**
    -   **[diffoscope wishlist]({{ "/events/athens2015/diffoscope-wishlist/" | relative_url }})**
    -   **[Shared database of issues]({{ "/events/athens2015/issue-database/" | relative_url }})**
    -   **[Use cases for reproducible builds]({{ "/events/athens2015/use-cases/" | relative_url }})**
*   11.30 Break
*   12.15 **Skillshare**

    Participants are invited to choose a skill they'd like to share.
    Focused 1-3 person 30-minute conversations

    -   How to get reproducible buildroot for Fedora / What needs to be
        done to get Arch Linux reproducible
    -   How to rebuild .debs from reproducible.debian.net
    -   How to do git (tag) signatures correctly (and verify them)
    -   How to chroot and mout on Linux without superuser privileges
    -   How to prove Gödel's First Incompleteness Theorem
    -   How to (I) mass bug file in Debian
    -   How to automate Jenkins configuration
    -   How to edit Zip archives
    -   How to build reproducibly in OS X
    -   How to replace binutils with an alternative toolchain
    -   How to fix timestamps issues to make builds reproducible
    -   How to set up a system to have "everything" go through Tor
*   13.00 Lunch break
*   14.00 Working Sessions 4

    One 50-minute round

    -   **Becoming a diffoscope hacker**
    -   **[Communicating reproducible builds to users]({{ "/events/athens2015/communicating-with-users/" | relative_url }})**
    -   **[Post-event collaboration]({{ "/events/athens2015/post-event-collaboration/" | relative_url }})**
    -   **[Review of Debian .buildinfo file]({{ "/events/athens2015/debian-buildinfo-review/" | relative_url }})**
    -   **SOURCE\_DATE\_EPOCH**
*   15.15 Closing circle

    Final round question: What do you want to hack on?

*   15.45 **Hacking Time**
*   17.35 Closing circle

    Final round question: What is one thing you would like to work on or get
    done tomorrow?

*   17.50 Adjourn

Day 3
-----

*Thursday, December 3*

*   9.00  Breakfast
*   10.15 Opening Circle
*   10.30 Working Sessions 5

    One 50-minute round

    -   **[Advocacy: next steps]({{ "/events/athens2015/advocacy-next-steps/" | relative_url }})**
    -   **[Unsolved problems]({{ "/events/athens2015/unsolved-problems/" | relative_url }})**
    -   **[Next Reproducible Builds event]({{ "/events/athens2015/next-event/" | relative_url }})**
    -   **[What should be in a build info file?]({{ "/events/athens2015/buildinfo-content/" | relative_url }})**
*   11.30 Break
*   12.00 Hacking Time
*   13.30 Lunch break
*   14.30 Working Sessions 6

    One 60-minute round

    -   **[Fundraising]({{ "/events/athens2015/fundraising/" | relative_url }})**
    -   **[Design an ideal reproducibility testing tool]({{ "/events/athens2015/reprotest/" | relative_url }})**
    -   **Finishing Debian .buildinfo specification**
    -   **[Challenges with signed software]({{ "/events/athens2015/signed-software/" | relative_url }})**
*   16.00 [Where from here?]({{ "/events/athens2015/where-from-here/" | relative_url }})

    Participants are invited to write statements starting with "I Will"
    (name of author required), "We should" and "Don't Forget" (name not
    required)

*   16.40 Closing Circle
*   17.00 Adjourn
