---
layout: blog
week: 187
published: 2018-11-27 12:40:29
---

Here's what happened in the [Reproducible Builds](https://reproducible-builds.org) effort between Sunday November 18 and Saturday November 24 2018:

* Reproducible Builds were [mentioned on the latest episode](https://latenightlinux.com/late-night-linux-episode-50/) of the [Late Night Linux](https://bitbucket.org/mstrobel/procyon) podcast starting at 18:03 ([direct link](https://pca.st/He12#t=18m03s)).

* [Apache Maven](https://maven.apache.org/) are continuing their work on reproducible builds, documenting their progress on their [corresponding Confluence page](https://cwiki.apache.org/confluence/pages/viewpage.action?pageId=74682318).

* Vagrant Cascadian automated uploading `.buildinfo` files from the Debian archive to the experimental [buildinfo.debian.net](https://buildinfo.debian.net/) service. Over 1,000 `.buildinfo` files are typically uploaded each day.

* Bernhard M. Wiedemann [posted the montly openSUSE reproducible builds status](https://lists.opensuse.org/opensuse-factory/2018-11/msg00250.html) with details on the remaining 58 major issues in 2565 openSUSE DVD packages with GCC, Python and OpenJDK being the most irksome cases.

* Holger Levsen posted to [our mailing list](https://lists.reproducible-builds.org/pipermail/rb-general/) that *Reproducible Builds* t-shirts are available to contributors. Please see the [corresponding thread](https://lists.reproducible-builds.org/pipermail/rb-general/2018-November/001266.html) for more information.

* Chris Lamb [requested that the "Deterministic compilation" Wikipedia page](https://en.wikipedia.org/w/index.php?title=Wikipedia%3ARequested_moves%2FTechnical_requests&type=revision&diff=870242885&oldid=870242654) be renamed to [Reproducible builds](https://en.wikipedia.org/wiki/Reproducible_builds) (via the "[Technical move requests](https://en.wikipedia.org/wiki/Wikipedia:Requested_moves/Technical_requests)" mechanism) given that this is overwhelmingly the generally accepted term for this concept.

* 17 Debian package reviews were added, 5 were updated and 14 were removed in this week, adding to [our knowledge about identified issues](https://tests.reproducible-builds.org/debian/index_issues.html). Two new issue types were added this week by Chris Lamb ([`timestamp_added_by_gnuradio_grcc`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/adf7ef93) and [`paths_vary_due_to_usrmerge`](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/9ee46a4d)) and he also updated a number of others, including as well as adding references to various existing notes ([1](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/e2b6bea3) & [2](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/0ea3da74)), merging a duplicate issue [[...](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/c95d34e7)], and adding a bug reference for a patch [[...](https://salsa.debian.org/reproducible-builds/reproducible-notes/commit/6e9c5774)].

* Holger Levsen updated our website project to add [IPFS](https://ipfs.io/) as a participant at [our upcoming Paris Summit](https://reproducible-builds.org/events/paris2018/) [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/c6166c7)] and replaced an instance of "Tor" with "[Tor Project](https://www.torproject.org/)" [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/67c74fb)]. In addition, Chris Lamb added a number of missing dates to the [Talks & Resources](https://reproducible-builds.org/resources/) page [[...](https://salsa.debian.org/reproducible-builds/reproducible-website/commit/04d82dd)].

* [diffoscope](https://diffoscope.org/) is our in-depth "diff-on-steroids" utility which helps us diagnose reproducibility issues in packages. This week, version `106` was [uploaded to Debian unstable](https://tracker.debian.org/news/1005294/accepted-diffoscope-106-source-into-unstable/) by Mattia Rizzolo. He included contributions [already covered in previous weeks](https://salsa.debian.org/reproducible-builds/diffoscope/commits/106) as well as overriding the new [Lintian](https://lintian.debian.org/)'s [public-upstream-key-in-native-package](https://lintian.debian.org/tags/public-upstream-key-in-native-package.html) tag [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/2059195)] and temporarily disabling `Depends:` on [Gnumeric](http://www.gnumeric.org/) and [Procyon](https://bitbucket.org/mstrobel/procyon) as they are RC buggy [[...](https://salsa.debian.org/reproducible-builds/diffoscope/commit/de13715)].

* We have received more than 50 registrations for the upcoming [Reproducible Builds summit in Paris](https://reproducible-builds.org/events/paris2018/) between 11th—13th December 2018 and registrations are now closed. Again, very much looking forward to seeing you there.


Packages reviewed and fixed, and bugs filed
-------------------------------------------

* Bernhard M. Wiedemann:
    * [lirc](https://build.opensuse.org/request/show/649983) (date, sort, `uname -r`, [also submitted upstream](https://sourceforge.net/p/lirc/git/merge-requests/36/))
    * [tigervnc](https://github.com/TigerVNC/tigervnc/pull/765) (use [CMake](https://cmake.org/) timestamp)
    * [plasma5-desktop](https://phabricator.kde.org/D17076) (parallelism)
    * [python-textX](https://build.opensuse.org/request/show/651138) (drop non-deterministic files)

* Chris Lamb:
    * [#914091](https://bugs.debian.org/914091) filed against [googletest](https://tracker.debian.org/pkg/googletest).
    * [#914176](https://bugs.debian.org/914176) filed against [cfitsio](https://tracker.debian.org/pkg/cfitsio).
    * [#914252](https://bugs.debian.org/914252) filed against [gnuradio](https://tracker.debian.org/pkg/gnuradio).

* Emmanuel Bourg:
    * [#914278](https://bugs.debian.org/914278) filed against [openjdk-11](https://tracker.debian.org/pkg/openjdk-11).


Test framework development
--------------------------

There were a number of updates to our [Jenkins](https://jenkins.io/)-based testing framework that powers [tests.reproducible-builds.org](https://tests.reproducible-builds.org/) this week, including:

* Chris Lamb:
    * Add support for calculating a [PureOS](https://www.pureos.net/) package set. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/9507efe7)]
* Eli Schwartz:
    * Provide an even-better explanation for a `sed(1)` command in the [Archlinux](https://www.archlinux.org/) support. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/7798c4bd)]
* Jelle van der Waa:
    * Set `LANG/LC_ALL` in build 1 in the [Archlinux](https://www.archlinux.org/) support. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/44c3eb6c)]
* Niko Tyni:
    * Fix the [umask](https://en.wikipedia.org/wiki/Umask) information on the "[Variations tested](https://tests.reproducible-builds.org/debian/index_variations.html)" page. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/1eaad5b0)]
* Simon McVittie:
    * Disable the [merged /usr functionality](https://wiki.debian.org/UsrMerge]) in the base Debian tarball. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/dd78d2cd)]
* Holger Levsen:
    * Explicitly also install [GnuPG](https://www.gnupg.org/). [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/d623d03c)]
    * Perform some node maintenance. [[...](https://salsa.debian.org/qa/jenkins.debian.net/commit/f21b8c49)]
    * reviewed, merged and deployed the above commits.


---

This week's edition was written by Bernhard M. Wiedemann, Chris Lamb, Vagrant Cascadian & reviewed by a bunch of Reproducible Builds folks on IRC & the mailing lists.
